summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPalmer Dabbelt <palmer@dabbelt.com>2015-05-01 15:32:32 -0700
committerPalmer Dabbelt <palmer@dabbelt.com>2015-05-01 15:32:32 -0700
commit82c58526346b4fe9062cbeb2b9005584e2ecbe17 (patch)
treee11d2caa71c4c5a5258a8cf59f468e3d792f757c /media-libs
parentUpdate net-misc/livestreamer to 1.12.1 (diff)
downloadpalmer-82c58526346b4fe9062cbeb2b9005584e2ecbe17.tar.gz
palmer-82c58526346b4fe9062cbeb2b9005584e2ecbe17.tar.bz2
palmer-82c58526346b4fe9062cbeb2b9005584e2ecbe17.zip
Bump libsfml to 2.2-r1
This installs pkg-config files.
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/libsfml/Manifest4
-rw-r--r--media-libs/libsfml/files/libsfml-2.2-no-docs.patch15
-rw-r--r--media-libs/libsfml/files/libsfml-2.2-shared-glew.patch12
-rw-r--r--media-libs/libsfml/libsfml-2.2-r1.ebuild65
4 files changed, 96 insertions, 0 deletions
diff --git a/media-libs/libsfml/Manifest b/media-libs/libsfml/Manifest
new file mode 100644
index 0000000..25e217d
--- /dev/null
+++ b/media-libs/libsfml/Manifest
@@ -0,0 +1,4 @@
+AUX libsfml-2.2-no-docs.patch 432 SHA256 7e31edbe092460b564c04882af42a6e7173dc01f5a21ba1ac9fe0c6b31892b59 SHA512 86c05d82af21ed440e313119d5296097c498030c9aca8f6516a2a47c4913d578064dab9bd1476735b84f00eacf009b21de378e41d1e59615c1098dfeb786b807 WHIRLPOOL 0d2320ea49558e2270603ba13c39d56bb0a50d8a9da4ed0d087b6ef5d485b8fab775ab38648cf07970160fff18602dc2c47f25941972a751b3e300aae17ca02a
+AUX libsfml-2.2-shared-glew.patch 388 SHA256 cd789d01cb500f681964f6d436faa8893a98ceceb7dba7b668bf41f885ef88e9 SHA512 c07c47e5adffc6c32668469e7ac5934d80865ad39e9503a896ad6d809eafcad6c8261a34677bb7da540fb6c803a1707168f4cf8e3630de50e30374e32471da51 WHIRLPOOL 1ef3d3c7fd83d125c4aaf560f3d53f360d853b3298a124bb4b2eb83b05b109972f61db6f3c5630917e94f741c5cf1ed57b485cd05051f87ffad10192e810f7e4
+DIST libsfml-2.2.tar.gz 17614806 SHA256 543458923e35868c16ac70e5f4c3bf172e136af9820d7b546b52afc7f1fc77f5 SHA512 cf30d431afc19d0f0126f2879dcb4c81ff4f689ce1e7aab5c3f156e8a88cdd54574e60de6230a9a5f7793a6c41ac81d811c68a9f1971ce079dada8d281ca34a3 WHIRLPOOL 8ba9c968840839295707e92281ecbc5d88b8900bab85dac0e1a4d66a0b8521bca0d5c6b0d1d330a1191aedf073f9633c7ce8f6dcbef9f84e3fac8c61d9c7c96e
+EBUILD libsfml-2.2-r1.ebuild 1522 SHA256 e059e8129b328aeb715827d182b7833e5a237e64b71a30bbed3f731d9c58a557 SHA512 5582dd60966e373c0bb3a9059e7b1f8c772179aaf49e923a3308404348768152258fb2fceb6c77375b23c931840adcb5624f1d6c9fd3319be21330ea2317eec7 WHIRLPOOL dbb4c125e01bd5c6c91eb9b77577de4aa2aa0a13a458cf647b7941f50fda3179351289d7ad3bf4fe94b534daa6ca09e709639f023c21dd08f72a0c7fc0231a59
diff --git a/media-libs/libsfml/files/libsfml-2.2-no-docs.patch b/media-libs/libsfml/files/libsfml-2.2-no-docs.patch
new file mode 100644
index 0000000..ef69107
--- /dev/null
+++ b/media-libs/libsfml/files/libsfml-2.2-no-docs.patch
@@ -0,0 +1,15 @@
+--- SFML-2.2/CMakeLists.txt
++++ SFML-2.2/CMakeLists.txt
+@@ -239,12 +239,6 @@
+ COMPONENT devel)
+ endif()
+
+-install(FILES license.txt DESTINATION ${INSTALL_MISC_DIR})
+-install(FILES readme.txt DESTINATION ${INSTALL_MISC_DIR})
+-if(NOT SFML_OS_ANDROID)
+- install(FILES cmake/Modules/FindSFML.cmake DESTINATION ${INSTALL_MISC_DIR}/cmake/Modules)
+-endif()
+-
+ # install 3rd-party libraries and tools
+ if(SFML_OS_WINDOWS)
+
diff --git a/media-libs/libsfml/files/libsfml-2.2-shared-glew.patch b/media-libs/libsfml/files/libsfml-2.2-shared-glew.patch
new file mode 100644
index 0000000..42c701e
--- /dev/null
+++ b/media-libs/libsfml/files/libsfml-2.2-shared-glew.patch
@@ -0,0 +1,12 @@
+--- SFML-2.2/src/SFML/Graphics/CMakeLists.txt
++++ SFML-2.2/src/SFML/Graphics/CMakeLists.txt
+@@ -150,9 +150,6 @@
+ list(APPEND GRAPHICS_EXT_LIBS ${FREETYPE_LIBRARY} ${JPEG_LIBRARY})
+
+ # add preprocessor symbols
+-if(NOT SFML_OPENGL_ES)
+- add_definitions(-DGLEW_STATIC)
+-endif()
+ add_definitions(-DSTBI_FAILURE_USERMSG)
+
+ # ImageLoader.cpp must be compiled with the -fno-strict-aliasing
diff --git a/media-libs/libsfml/libsfml-2.2-r1.ebuild b/media-libs/libsfml/libsfml-2.2-r1.ebuild
new file mode 100644
index 0000000..d3a0a0b
--- /dev/null
+++ b/media-libs/libsfml/libsfml-2.2-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libsfml/libsfml-2.2.ebuild,v 1.2 2015/03/22 16:32:17 radhermit Exp $
+
+EAPI=5
+
+inherit cmake-utils eutils
+
+MY_P=SFML-${PV}
+
+DESCRIPTION="Simple and Fast Multimedia Library (SFML)"
+HOMEPAGE="http://www.sfml-dev.org/ https://github.com/LaurentGomila/SFML"
+SRC_URI="https://github.com/LaurentGomila/SFML/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc examples"
+
+RDEPEND="media-libs/freetype:2
+ media-libs/glew:=
+ media-libs/libpng:0=
+ media-libs/libsndfile
+ media-libs/mesa
+ media-libs/openal
+ sys-libs/zlib
+ virtual/jpeg
+ virtual/udev
+ x11-libs/libX11
+ x11-libs/libXrandr"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )"
+
+DOCS="changelog.txt readme.txt"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-no-docs.patch
+ epatch "${FILESDIR}"/${P}-shared-glew.patch
+
+ sed -i "s:DESTINATION .*:DESTINATION /usr/share/doc/${PF}:" \
+ doc/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use doc SFML_BUILD_DOC)
+ -DSFML_INSTALL_PKGCONFIG_FILES=true
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ insinto /usr/share/cmake/Modules
+ doins cmake/Modules/FindSFML.cmake
+
+ if use examples ; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ find "${ED}"/usr/share/doc/${PF}/examples -name CMakeLists.txt -delete
+ fi
+}